rte_bbdev_dec_op(3)

NAME
rte_bbdev_dec_op

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

int status
struct rte_mempool * mempool
void * opaque_data

Detailed Description

Structure specifying a single decode operation

Definition at line 967 of file rte_bbdev_op.h.

Field Documentation

  int status
Status of operation that was performed

Definition at line 969 of file rte_bbdev_op.h.

  struct rte_mempool* mempool
Mempool which op instance is in

Definition at line 971 of file rte_bbdev_op.h.

  void* opaque_data
Opaque pointer for user data

Definition at line 973 of file rte_bbdev_op.h.

  struct rte_bbdev_op_turbo_dec turbo_dec
Contains turbo decoder specific parameters

Definition at line 976 of file rte_bbdev_op.h.

  struct rte_bbdev_op_ldpc_dec ldpc_dec
Contains LDPC decoder specific parameters

Definition at line 978 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.